#define TRIG 2
#define ECHO 4

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  
  pinMode(TRIG, OUTPUT);
  pinMode(ECHO, INPUT);
  
  pinMode(9,OUTPUT);
  analogWrite(9, 200);
  delay(10);
}

int duration;
int distance;

void ultrasonic(){
        digitalWrite(TRIG,LOW);
        digitalWrite(ECHO,LOW);
        delay(2);
        digitalWrite(TRIG,HIGH);
        delay(10);
        digitalWrite(TRIG,LOW);


        duration = pulseIn(ECHO,HIGH);
        distance =  duration / 29.0/ 2.0; //340 * duration * 0.001 / 2;
}
void loop() {
  Serial.println(distance);
  // put your main code here, to run repeatedly:
  ultrasonic();
  if(distance<0)
  {
    distance=0;
  }
  else if(distance>25)
  {
    distance=25;
  }
  int spd=distance*10;
  
  analogWrite(9, spd);
  delay(100);
 
}
